# Fees Fees ## Gets all of the fees in the system. - [GET /fees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/fees/listfees.md): This method will scan all fees and and return them to the caller. ## Creates a new fee record that does not already exist. - [POST /fees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/fees/createfee.md): This method will auto-generate an ID and create a new fee. If an ID is specified for the fee, an error will be thrown. ## Returns a fee from the system by its ID. - [DELETE /fees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/fees/deletefee.md): This method will delete a fee with the specified ID. ## Returns a fee from the system by its ID. - [GET /fees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/fees/getfee.md): This method will look up a fee by the specified ID and return it back. ## Partially updates a fee with the specified ID. - [PATCH /fees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/fees/patchfee.md): This method will patch an existing fee with the specified ID, using the HTTP PATCH specification. ## Updates a fee with the specified ID. - [PUT /fees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/fees/updatefee.md): This method will update an existing fee with the specified ID.